package fixture;

import java.util.ArrayList;

import exceptions.ItemNonExistentException;
import project.Auction;
import project.Category;
import project.Image;
import project.Item;
import project.ItemPicture;
import project.Seller;

public class SellerFixture {

	private Seller s;
	private String title, description, startTime, endTime;
	private ArrayList<ItemPicture> images;
	private ArrayList<Item> sellerItems;
	private ArrayList<Auction> sellerAuctions;
	private int item, category;
	private double price, bidIncrement;

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public void setItem(int item) {
		this.item = item;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public void setBidIncrement(double bidIncrement) {
		this.bidIncrement = bidIncrement;
	}

	public void setS(Seller s) {
		this.s = s;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setCategory(int category) {
		this.category = category;
	}

	public void setSellerItems(ArrayList<Item> sellerItems) {
		this.sellerItems = sellerItems;
	}

	public void setSellerAuctions(ArrayList<Auction> sellerAuctions) {
		this.sellerAuctions = sellerAuctions;
	}

	public void setImages(ArrayList<ItemPicture> images) {
		this.images = images;
	}

	public Item addItem() {

		s = Seller.getInstance();
		return s.addItem(title, description, images, Category.getCategory(category));

	}

	public boolean createAuction() {

		s = Seller.getInstance();
		return s.createAuction(Item.getItem(item), startTime, endTime, price, bidIncrement);

	}

	public ArrayList<Auction> displayMyAuctions() {

		s = Seller.getInstance();
		s.setMyAuctions(sellerAuctions);
		return s.displayMyAuctions();

	}

	public ArrayList<Item> displayMyItems() {

		s = Seller.getInstance();
		s.setMyItems(sellerItems);
		return s.getMyItems();

	}
}
